Package org.osgi.framework

# Interface BundleReference

All Known Subinterfaces:
  `BundleContext`, `BundleRevision`, `BundleRevisions`, `BundleStartLevel`, `BundleWiring`, `FrameworkStartLevel`, `FrameworkWiring`, `ServiceReference<S>`

@ProviderType public interface BundleReference
A reference to a Bundle.

Since:
  1.5

## Method Summary

Modifier and Type
Method
Description
`Bundle`
`getBundle()`
Returns the `Bundle` object associated with this `BundleReference`.

## Method Details

### getBundle

Bundle getBundle()
Returns the `Bundle` object associated with this `BundleReference`.

Returns:
  The `Bundle` object associated with this `BundleReference`.